import { default as React } from 'react';
import { ToggleActivatableProps } from '@reusable-ui/core';
import { EditableActionControlProps } from '@reusable-ui/editable-action-control';
import type { InputHTMLAttributes } from '@reusable-ui/input';
import { CheckVariant } from './variants/CheckVariant.js';
export declare const useCheckStyleSheet: () => import("@cssfn/css-types").CssScopeMap<"main">;
export declare const handleInputClickTriggersChange: React.MouseEventHandler<Element>;
export interface CheckProps extends EditableActionControlProps<HTMLInputElement>, Omit<InputHTMLAttributes<HTMLInputElement>, 'role' | 'size' | 'enterKeyHint' | 'disabled' | 'minLength' | 'maxLength' | 'min' | 'max' | 'step' | 'pattern' | 'type' | 'placeholder' | 'autoComplete' | 'list' | 'defaultValue' | 'value'>, CheckVariant, ToggleActivatableProps {
    label?: string;
    type?: 'checkbox' | 'radio';
    defaultChecked?: boolean;
    checked?: boolean;
    children?: React.ReactNode;
}
declare const Check: (props: CheckProps) => JSX.Element | null;
export { Check, Check as default, };
